#!   /usr/bin/env   python
#    coding: utf8

# Copyright CERN, 2014
# Author: Matthieu Cattin (CERN)
# Licence: GPL v2 or later.
# Website: http://www.ohwr.org
# Last modifications: 6/11/2014


# fmc masterfip prototype registers
FMC_MASTERFIP_PROTO_REGS=['Fmc Masterfip Prototype registers', {
        'IDENT_ID_DAT_VAR':[0x00, 'Indentification ID_DAT variable', {}],
        'IDENT_ID_DAT_SUB':[0x04, 'Indentification ID_DAT subaddress', {}],
        'CONSU_ID_DAT_VAR':[0x08, 'Consumed ID_DAT variable', {}],
        'CONSU_ID_DAT_SUB':[0x0C, 'Consumed ID_DAT subaddress', {}],
        'IDENT_RP_DAT_BYTE0':[0x10, 'Indentification RP_DAT byte 0', {}],
        'IDENT_RP_DAT_BYTE1':[0x14, 'Indentification RP_DAT byte 1', {}],
        'IDENT_RP_DAT_BYTE2':[0x18, 'Indentification RP_DAT byte 2', {}],
        'IDENT_RP_DAT_BYTE3':[0x1C, 'Indentification RP_DAT byte 3', {}],
        'IDENT_RP_DAT_BYTE4':[0x20, 'Indentification RP_DAT byte 4', {}],
        'IDENT_RP_DAT_BYTE5':[0x24, 'Indentification RP_DAT byte 5', {}],
        'IDENT_RP_DAT_BYTE6':[0x28, 'Indentification RP_DAT byte 6', {}],
        'IDENT_RP_DAT_BYTE7':[0x2C, 'Indentification RP_DAT byte 7', {}],
        'IDENT_RP_DAT_BYTE8':[0x30, 'Indentification RP_DAT byte 8', {}],
        'IDENT_RP_DAT_BYTE0':[0x34, 'Indentification RP_DAT byte 9', {}],
        'CONSU_RP_DAT_BYTE0':[0x38, 'Consumed RP_DAT byte 0', {}],
        'CONSU_RP_DAT_BYTE1':[0x3C, 'Consumed RP_DAT byte 1', {}],
        'CONFIG':[0x50, 'Configuration register', {
                'NUM_OF_BOURR':[0, 'Number of bourrage', 0xFF],
                'RESERVED':[8, 'Reserved', 0x3FFFFF],
                'CONT_LOOP':[31, 'Continuous loop', 0x1]}],
        'CTRL':[0x54, 'Control register', {
                'ACTIV_LOOP':[0, 'Activate loop', 0x1],
                'RESERVED':[3, 'Reserved', 0x7FFFFFFF]}]
        }]

